Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
# END SourceDeps(oneline)
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-11-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cambozola
Version:        0.936
Release:        alt1_13jpp11
Summary:        A viewer for multipart jpeg streams
License:        GPLv2+
URL:            http://www.charliemouse.com/code/cambozola/index.html
Source0:        http://www.andywilcock.com/code/cambozola/%{name}-latest.tar.gz

#patch to add javadoc generation in build.xml
Patch0:         %{name}-add-javadoc.patch
# Update target/source flags for JDK11 compatibility
# https://fedoraproject.org/wiki/Changes/Java11#copr_preliminary_rebuild
Patch1:         %{name}-source-target.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  findutils
%{?el6:BuildRequires:  ant-nodeps}

Requires:       jpackage-utils
Requires:       java
Source44: import.info

%description
Cambozola is a very simple (cheesy!) viewer for multipart jpeg streams
that are often pumped out by a streaming webcam server,
sending over multiple images per second.

%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

%build
%ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8  javadoc
%ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 

%install
mkdir -p %{buildroot}%{_javadir}
cp -p dist/%{name}.jar   \
  %{buildroot}%{_javadir}/%{name}.jar
cp -p dist/%{name}-server.jar   \
  %{buildroot}%{_javadir}/%{name}-server.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp javadoc/*  \
  %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-server.jar
%doc LICENSE README.html

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Jun 01 2021 Igor Vlasenko <viy@altlinux.org> 0.936-alt1_13jpp11
- update

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_10jpp8
- fc update

* Sat May 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_8jpp8
- new version

* Tue Feb 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_7jpp8
- fc29 update

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_6jpp8
- java update

* Thu Nov 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_5jpp8
- fc27 update

* Tue Oct 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_4jpp8
- new jpp release

* Fri Nov 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.936-alt1_2jpp8
- new version

* Tue Feb 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1_3jpp8
- new version

* Mon Sep 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1_1jpp7
- new release

* Mon Jul 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1_6jpp7
- new release

* Mon Aug 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1_5jpp7
- update to new release by jppimport

* Thu Jun 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1_4jpp7
- new version

